Subject: Re: bug#31079: Windows - Emacs-25.3.1 Can't find source.tex file

From: Liyu Gong <[email-masked]>
Date: Sat, 7 Apr 2018 10:17:25 -0400

Hi Joe,

I run pdflatex via windows command prompt, and produced a pdf file.
The output message of the command is pasted below. My texlive was
installed at C:\texlive. However, I just moved the aa.tex to C:\aa.tex
then tried to compile it through AucTeX, the same error occurs again.

Anyway, if nobody could reproduce the problem. I guess there must be
something weird in my system. :)

Best,
Liyu

D:\>pdflatex aa.tex
This is pdfTeX, Version 3.14159265-2.6-1.40.18 (TeX Live 2017/W32TeX)
(preloaded format=pdflatex)
 restricted \write18 enabled.
entering extended mode
(./aa.tex
LaTeX2e <2017-04-15>
Babel <3.18> and hyphenation patterns for 84 language(s) loaded.
(c:/texlive/2017/texmf-dist/tex/latex/base/article.cls
Document Class: article 2014/09/29 v1.4h Standard LaTeX document class
(c:/texlive/2017/texmf-dist/tex/latex/base/size12.clo))
(c:/texlive/2017/texmf-dist/tex/latex/tree-dvips/lingmacros.sty)
(c:/texlive/2017/texmf-dist/tex/latex/tree-dvips/tree-dvips.sty
tree-dvips version .91 of May 16, 1995
)
No file aa.aux.
[1
Non-PDF special ignored!{c:/texlive/2017/texmf-var/fonts/map/pdftex/updmap/pdft
ex.map}
Non-PDF special ignored!
Non-PDF special ignored!
Non-PDF special ignored!
Non-PDF special ignored!
Non-PDF special ignored!
Non-PDF special ignored!
Non-PDF special ignored!
Non-PDF special ignored!
Non-PDF special ignored!] (./aa.aux) )<c:/texlive/2017/texmf-dist/fonts/type1/p
ublic/amsfonts/cm/cmbx10.pfb><c:/texlive/2017/texmf-dist/fonts/type1/public/ams
fonts/cm/cmbx12.pfb><c:/texlive/2017/texmf-dist/fonts/type1/public/amsfonts/cm/
cmcsc10.pfb><c:/texlive/2017/texmf-dist/fonts/type1/public/amsfonts/cm/cmmi8.pf
b><c:/texlive/2017/texmf-dist/fonts/type1/public/amsfonts/cm/cmr10.pfb><c:/texl
ive/2017/texmf-dist/fonts/type1/public/amsfonts/cm/cmr12.pfb><c:/texlive/2017/t
exmf-dist/fonts/type1/public/amsfonts/cm/cmsy8.pfb><c:/texlive/2017/texmf-dist/
fonts/type1/public/amsfonts/cm/cmti12.pfb>
Output written on aa.pdf (1 page, 84758 bytes).
Transcript written on aa.log.

On Sat, Apr 7, 2018 at 9:57 AM,  <[email-masked]> wrote:
> Hi Liyu,
>
> The command call is just as mine, but I don't get any problem. It seems the problem is with tex-live rather than auctex.
>
> If you open a command prompt at D:\ and run the simple command
>
> pdflatex aa.tex
>
> then does the problem persist?
>
> Is your tex-live installed in the same partition (D:) as your tex file?
>
> Cheers,
> J
>
>
> On 2018-04-07 15:30, Liyu Gong wrote:
>> Hi guys,
>>
>> Thank you very much for looking into it. My system environment is as follows
>>
>> aa.tex is at D:/aa.tex
>>
>> OS: Windows 10 Home
>>
>> Emacs: GNU Emacs 25.3.1 (x86_64-w64-mingw32) of 2017-09-26, which is
>> downloaded from the official gnu ftp site
>>
>> TeX distribution: texlive-2017
>>
>> Output of M-x TeX-submit-bug-report:
>>
>> Emacs  : GNU Emacs 25.3.1 (x86_64-w64-mingw32)
>>   of 2017-09-26
>> Package: 12.1.1
>>
>> current state:
>> ==============
>> (setq
>>   AUCTeX-date "2018-03-20"
>>   window-system 'w32
>>   LaTeX-version "2e"
>>   TeX-style-path '("~/.emacs.d/auctex"
>> "d:/.emacs.d/elpa/auctex-12.1.1/style" "d:/.emacs.d/auctex/auto"
>> "d:/.emacs.d/auctex/style" "auto" "style")
>>   TeX-auto-save t
>>   TeX-parse-self t
>>   TeX-master nil
>>   TeX-command-list '(("TeX" "%(PDF)%(tex) %(file-line-error)
>> %(extraopts) %`%S%(PDFout)%(mode)%' %t" TeX-run-TeX nil
>>                       (plain-tex-mode ams-tex-mode texinfo-mode) :help
>> "Run plain TeX")
>>                      ("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil
>> (latex-mode doctex-mode) :help "Run LaTeX")
>>                      ("Makeinfo" "makeinfo %(extraopts) %t"
>> TeX-run-compile nil (texinfo-mode) :help "Run Makeinfo with Info
>> output")
>>                      ("Makeinfo HTML" "makeinfo %(extraopts) --html %t"
>> TeX-run-compile nil (texinfo-mode) :help "Run Makeinfo with HTML
>> output")
>>                      ("AmSTeX" "amstex %(PDFout) %(extraopts)
>> %`%S%(mode)%' %t" TeX-run-TeX nil (ams-tex-mode) :help "Run AMSTeX")
>>                      ("ConTeXt" "%(cntxcom) --once --texutil
>> %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode) :help "Run
>> ConTeXt once")
>>                      ("ConTeXt Full" "%(cntxcom) %(extraopts)
>> %(execopts)%t" TeX-run-TeX nil (context-mode) :help "Run ConTeXt until
>> completion")
>>                      ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help
>> "Run BibTeX") ("Biber" "biber %s" TeX-run-Biber nil t :help "Run
>> Biber")
>>                      ("View" "%V" TeX-run-discard-or-function t t :help
>> "Run Viewer") ("Print" "%p" TeX-run-command t t :help "Print the
>> file")
>>                      ("Queue" "%q" TeX-run-background nil t :help "View
>> the printer queue" :visible TeX-queue-command)
>>                      ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t
>> :help "Generate PostScript file")
>>                      ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil
>> t :help "Convert DVI file to PostScript")
>>                      ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil t
>> :help "Convert DVI file to PDF with dvipdfmx")
>>                      ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help
>> "Convert PostScript file to PDF")
>>                      ("Glossaries" "makeglossaries %s" TeX-run-command
>> nil t :help "Run makeglossaries to create glossary file")
>>                      ("Index" "makeindex %s" TeX-run-index nil t :help
>> "Run makeindex to create index file")
>>                      ("upMendex" "upmendex %s" TeX-run-index t t :help
>> "Run upmendex to create index file")
>>                      ("Xindy" "texindy %s" TeX-run-command nil t :help
>> "Run xindy to create index file")
>>                      ("Check" "lacheck %s" TeX-run-compile nil
>> (latex-mode) :help "Check LaTeX file for correctness")
>>                      ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil
>> (latex-mode) :help "Check LaTeX file for common mistakes")
>>                      ("Spell" "(TeX-ispell-document \"\")"
>> TeX-run-function nil t :help "Spell-check the document")
>>                      ("Clean" "TeX-clean" TeX-run-function nil t :help
>> "Delete generated intermediate files")
>>                      ("Clean All" "(TeX-clean t)" TeX-run-function nil
>> t :help "Delete generated intermediate and output files")
>>                      ("Other" "" TeX-run-command t t :help "Run an
>> arbitrary command"))
>>   )
>>
>> Content of the process buffer (displayed by C-c C-l):
>>
>> Running `LaTeX' on `aa' with ``pdflatex  -file-line-error
>> -interaction=nonstopmode "\input" "aa.tex"''
>> This is pdfTeX, Version 3.14159265-2.6-1.40.18 (TeX Live 2017/W32TeX)
>> (preloaded format=pdflatex)
>>   restricted \write18 enabled.
>> entering extended mode
>> LaTeX2e <2017-04-15>
>> Babel <3.18> and hyphenation patterns for 84 language(s) loaded.
>> ! I can't find file `aa.tex'.
>> <*> \input aa.tex
>>
>> (Press Enter to retry, or Control-Z to exit)
>> Please type another input file name
>> ! Emergency stop.
>> <*> \input aa.tex
>>
>> !  ==> Fatal error occurred, no output PDF file produced!
>> Transcript written on texput.log.
>>
>> TeX Output exited abnormally with code 1 at Sat Apr  7 09:20:05